Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.ThreadIsAlive Property
DatabaseEnvironment Class See Also Send Feedback

A delegate that returns if a thread of control (either a true thread or a process) is still running.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public ThreadIsAliveDelegate ThreadIsAlive { get; set; }

Visual Basic (Declaration)
    Public Property ThreadIsAlive As ThreadIsAliveDelegate

Visual C++
    public:
    property ThreadIsAliveDelegate^ ThreadIsAlive {
    	ThreadIsAliveDelegate^ get ();
    	void set (ThreadIsAliveDelegate^ value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace